Skip to content

Deployment History.

GET
/api/shape/bot/namespaces/{namespace}/bot_infrastructures/{name}/deployment_history
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_infrastructures/example/deployment_history \
--header 'Authorization: <Authorization>'

GET deployment history.

Examples of this operation.

namespace
required
string

Namespace x-required.

name
required
string

Name x-required.

A successful response.

Media typeapplication/json
DeploymentHistoryResponse

Response for history of cluster after policies deployment.

object
deployment_history_data
Deployment History Data

Deployment History Data.

Array<object>
DeploymentHistoryData

Deployment history of cluster after policies deployment.

object
comments
Comments

Policy Comments from user.

string
<= 2048 characters
organization
Organization

Exclusive with [user] Organization name must be “F5”

string
<= 1024 characters
policy_metadata
Deployed Policy Metadata

Deployed Policy Metadata.

Array<object>
DeployPolicyMetadata

The metadata for deployed policy config.

object
policy_name
Policy Name

Policy Name.

string
>= 1 characters <= 1024 characters
policy_type
string
default: ENDPOINT_POLICY
Allowed values: ENDPOINT_POLICY NETWORK_POLICY ALLOWLIST_POLICY
version
Policy Version

Policy Version The format should be X.0.

string
>= 1 characters <= 1024 characters
status
Status

Current status of the resource

string
>= 17 characters <= 1024 characters
timestamp
Timestamp

Timestamp in ISO 8601 format with UTC timezone

string format: date-time
<= 1024 characters
user
User

Exclusive with [organization]

string
<= 1024 characters
Example
{
"deployment_history_data": [
{
"policy_metadata": [
{
"policy_type": "ENDPOINT_POLICY"
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example